Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## calhoun.analysis.crf.features.interval13
Class Interval13Model

    java.lang.Object
      calhoun.analysis.crf.AbstractFeatureManager
          calhoun.analysis.crf.CompositeFeatureManager
              calhoun.analysis.crf.BeanModel
                  calhoun.analysis.crf.features.interval13.Interval13Model

All Implemented Interfaces:
  FeatureManager, FeatureManagerEdge, FeatureManagerEdgeExplicitLength, FeatureManagerNode, FeatureManagerNodeExplicitLength, ModelManager, java.io.Serializable

    public class Interval13Model

extends BeanModel

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class calhoun.analysis.crf.BeanModel
`BeanModel.Edge, BeanModel.Node`

Constructor Summary
`Interval13Model()`

Method Summary
`static int` | `getPadExon3prime()`
`static int` | `getPadExon5prime()`
`static int` | `getPadIntergenic()`
`static int` | `getPadIntron3prime()`
`static int` | `getPadIntron5prime()`
`void` | `setNarrowBoundaries(boolean narrowBoundaries)`

Methods inherited from class calhoun.analysis.crf.BeanModel
`getLegalTransitions, getNumStates, getStateIndex, getStateName, setEdges, setNodes`

Methods inherited from class calhoun.analysis.crf.CompositeFeatureManager
`addFeatureManager, addFeatureManager, evaluateEdge, evaluateEdgeLength, evaluateNode, evaluateNodeLength, getCacheStrategy, getComponentFeatures, getFeatureName, getFeatureOffset, getNumFeatures, setComponentFeatures, train`

Methods inherited from class calhoun.analysis.crf.AbstractFeatureManager
`getInputComponent, setInputComponent`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface calhoun.analysis.crf.FeatureManagerEdge
`evaluateEdge`

Methods inherited from interface calhoun.analysis.crf.FeatureManager
`getCacheStrategy, getFeatureName, getInputComponent, getNumFeatures, setInputComponent, train`

Methods inherited from interface calhoun.analysis.crf.FeatureManagerNode
`evaluateNode`

Methods inherited from interface calhoun.analysis.crf.FeatureManager
`getCacheStrategy, getFeatureName, getInputComponent, getNumFeatures, setInputComponent, train`

Methods inherited from interface calhoun.analysis.crf.FeatureManagerEdgeExplicitLength
`evaluateEdgeLength`

Methods inherited from interface calhoun.analysis.crf.FeatureManager
`getCacheStrategy, getFeatureName, getInputComponent, getNumFeatures, setInputComponent, train`

Methods inherited from interface calhoun.analysis.crf.FeatureManagerNodeExplicitLength
`evaluateNodeLength`

Methods inherited from interface calhoun.analysis.crf.FeatureManager
`getCacheStrategy, getFeatureName, getInputComponent, getNumFeatures, setInputComponent, train`

Constructor Detail

### Interval13Model

    public Interval13Model()

Method Detail

### setNarrowBoundaries

    public void setNarrowBoundaries(boolean narrowBoundaries)

### getPadExon5prime

    public static int getPadExon5prime()

### getPadExon3prime

    public static int getPadExon3prime()

### getPadIntron5prime

    public static int getPadIntron5prime()

### getPadIntron3prime

    public static int getPadIntron3prime()

### getPadIntergenic

    public static int getPadIntergenic()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD